<?php

define('SLIDINGMESSAGES_POSTTYPE', 'slidingmarketing');

add_action ( 'init', 'slidingmarketing_register_posttype' );

function slidingmarketing_register_posttype() {
	register_post_type ( SLIDINGMESSAGES_POSTTYPE, 
			array ('labels' => 
					array ('name' => esc_html__( 'Sliding Marketing', 'slidingmarketing' ), 
							'singular_name' => esc_html__( 'Sliding Marketing Message', 'slidingmarketing' ), 
							'add_new_item' => esc_html__( 'Add new Sliding Marketing Message', 'slidingmarketing' ), 
							'edit_item' => esc_html__( 'Edit Sliding Marketing Message', 'slidingmarketing' ) ), 
					'menu_icon' => SLIDINGMESSAGES_PLUGIN_URL . '/assets/images/admin-menu-icon.png', 
					'public' => false, 
					'show_ui' => true, 
			        'show_in_rest' => true,
					'exclude_from_search' => true, 
					'publicly_queryable' => false, 
					'supports' => array ('title', 'editor' ) ) );
	
	
}