<?php

$salt = mt_rand();

global $wp;
$current_url = add_query_arg( $wp->query_string, '', home_url( $wp->request ) );
$subscribe_mc_email = esc_html__('Enter your email here', 'slidingmarketing');
$subscribe_mc_button = esc_html__('Sign Up Now', 'slidingmarketing');
$subscribe_mc_success = esc_html__('Thank you for subscribing.', 'slidingmarketing');
$subscribe_mc_error = esc_html__('Something went wrong.', 'slidingmarketing');


$secure_nonce = wp_create_nonce('sm_subscribe_nonce');
$current_url = add_query_arg('sm_subscribe_nonce', $secure_nonce, $current_url);

$output = '<div class="sm-subscribe sm-subscribe-'.$salt.'">';

// generating form output
$output .= '<form action="'.esc_url(add_query_arg('sm-malchimp-signup', '1', $current_url)).'" method="post" class="sm-subscribeform">';

$output .= '<input class="sm-subscribe-email" type="text" value="" placeholder="'.esc_attr($subscribe_mc_email).'" name="mailchimp_email">';
$output .= '<input class="sm-subscribe-submit" name="submit" type="submit" value="'.esc_attr($subscribe_mc_button).'" onclick="slidingMessages.subscribe(\''.$salt.'\', event);">';
$output .= '</form>';

$output .= '<div class="sm-subscribe-loader">
<svg version="1.1" id="loader-1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="40px" height="40px" viewBox="0 0 50 50" style="enable-background:new 0 0 50 50;" xml:space="preserve">
<path fill="#000" d="M43.935,25.145c0-10.318-8.364-18.683-18.683-18.683c-10.318,0-18.683,8.365-18.683,18.683h4.068c0-8.071,6.543-14.615,14.615-14.615c8.072,0,14.615,6.543,14.615,14.615H43.935z">
<animateTransform attributeType="xml"
attributeName="transform"
type="rotate"
from="0 25 25"
to="360 25 25"
dur="0.6s"
repeatCount="indefinite"/>
</path>
</svg>
</div>';

$output .= '<p class="sm-subscribe-form-content-success sm-subscribe-form-result-message">'.$subscribe_mc_success.'</p>';
$output .= '<p class="sm-subscribe-form-content-error sm-subscribe-form-result-message">'.$subscribe_mc_error.'</p>';

$output .= '</div>';

echo $output;